Name:		qubes-screenshot-helper
Version:	4.0.2
Release:	1%{?dist}
Summary:	Save screenshots in a chosen domain instead of Dom0

License:	ISC
URL:		https://github.com/jpouellet/qubes-screenshot-helper
Source0:    %{name}-%{version}.tar.gz

Requires:	qubes-core-dom0
Requires:	qubes-core-dom0-linux
Requires:	coreutils
Requires:	grep
Requires:	zenity
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils

%description
Save screenshots in a chosen domain instead of Dom0.

%prep
%setup -q


%install
install -D qvm-move-to-chosen-vm $RPM_BUILD_ROOT/usr/libexec/qubes/qvm-move-to-chosen-vm
install -m 0644 -D qubes-save-image-in-vm.desktop $RPM_BUILD_ROOT/usr/share/applications/qubes-save-image-in-vm.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, -)
/usr/share/applications/qubes-save-image-in-vm.desktop
%attr(0755, -, -) /usr/libexec/qubes/qvm-move-to-chosen-vm

%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%changelog
* Wed Oct 21 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-screenshot-helper.git

* Wed Oct 21 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b9a8c67
- version 4.0.2

* Wed Oct 21 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7187d9
- travis: add config

* Wed Oct 21 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 52507f2
- Adjust packaging

* Fri Mar 23 2018 Jean-Philippe Ouellet <jpo@vt.edu> - ea6aee1
- Bump version to 4.0.1

* Fri Mar 23 2018 Jean-Philippe Ouellet <jpo@vt.edu> - 587c340
- Sort VMs in chooser UI

* Fri Mar 23 2018 Jean-Philippe Ouellet <jpo@vt.edu> - 43a02c2
- Update qvm-ls invocation for R4

* Fri Mar 23 2018 Jean-Philippe Ouellet <jpo@vt.edu> - 516c916
- Improve readability

* Tue Jun 27 2017 Jean-Philippe Ouellet <jpo@vt.edu> - 07fc16c
- Fix url too

* Tue Jun 27 2017 Jean-Philippe Ouellet <jpo@vt.edu> - 10f77c4
- Fix modes

* Tue Jun 27 2017 Jean-Philippe Ouellet <jpo@vt.edu> - 41bfbd8
- Update specfile name

* Tue Jun 27 2017 Jean-Philippe Ouellet <jpo@vt.edu> - 825f887
- Initial version

